# Enhanced Bosses by Blumaye
### This is a reupload from NexusMods, the original creator is [Blumaye](https://www.nexusmods.com/valheim/users/121785338). The permissions on the mod page allows for reuploads.
## Description
Expands abilities of existing bosses and add some new unique attack to each boss.

## Bosses
Eikthyr

    Summons boars, necks and greylings
    Can create electric vortex that sucks all the creatures next to it
    Can teleport behind the player's back
    Can summoning clones

Elder

    Summons greydwarfs and mosquitoes
    Can eat trees and restore his hp
    Can teleport to the player

Bonemass

    Has passive aura that causes hallucinations and slow down players
    Summons draugrs and blobs
    AOE attack reduces armor durability

Moder

    Summons Hatchlings when flying
    Summons Wolfs when being on the ground

Yagluth

    Summons fullings

Seeker Queen

    Not touched yet

## Changelog

Changelog v1.2.0

    Eikthyr can now summon clones. Improved some other his attacks
    Added Elder the ability to teleport to player. Improved tree eating ability. Elder can now cast shield that protect himself.
    Bonemass AOE attack may cause hallucinations, be careful! ;) (inspired by shrooms)﻿
    Added detailed setting for each boss ().
    Added dependencies on RRRCore and RRRMonsters

Changelog v1.3.0

    Improved Elder teleport logic.
    BoneMass hallucinations now acts as an aura.
    Bosses are now displayed in map
    Added compatibility with ValheimFPSBoost﻿

Changelog v1.4.0

    Improved performance
    Added new attack to Eikthyr - Electric Vortex
    Added the ability to disable attacks or change cooldowns via a json file (plugins/Enhanced Bass/settings.json)

Changelog v1.4.2

    Updated to 0.212.7 game version
    Removed RRR dependency
    Removed Eikthyr clones ability

Changelog v1.4.3

    Fixed on load bug

Changelog v2.0.0

    Completely rewrote and optimized code
    Add soft RRR dependency (if RRRCore & RRRMonsters are installed Eikthyr will receive summon clones attack)
    Add soft MonsterLabz ﻿(if MonsterLabz is installed Eikthyr will receive storm attack)
    Elder can now knock down trees on the player
    Moder will now not land on the ground until its HP decreases to a certain threshold (75% by default)
    Added SeekerQueen attacks to the settings.json (not touched yet)
    Added knockback to the certain Eikthyr, Bonemass and Moder attacks

Changelog v2.1.0

    Removed dependency from RRR and MonsterLabz
    Elder can now summon mosquitoes
    Updated to the last game version
    Optimazed code
    Added some extended configs to bosses (damage and hp modifiers)

## Config

Now you can configure any boss attack

Configuration file: Valheim / BepInEx / plugins / EnhancedBosses / settings.json

Parameters:

    Enabled - enable / disable attack
    Cooldown - cooldown of attack
    maxMinionsCount - max minions count that can be spawned
    maxMinionsCountPerPlayer - max minions count that  can be spawned per player in multipleer
    spawnMinionsCount - count of creatures that spawned by boss
    spawnMinionsPerPlayer - count of creatures that spawned by boss per player in multipleer
    Creatures - list of creatures prefabs that can be summoned by boss
    HpThreshold - hp threshold below which the boss starts using attack (value between 0 and 1)
    Heal - amount of heal that boss restore by cast attack
    ShieldHp - shield durability
    ShieldDuration - duration of the shield

Configuration file: Valheim / BepInEx / config / blumaye.enhancedbosses.cfg

    Enabled Mod - enable / disable mod
    Bonemass hallucinations - enable / disable bonemass hallucinations effects
    Moder land hp threshold - hp threshold below which the moder land on the ground (0.75 by default)